Subject: Re: [PATCH] vsprintf: Do not break early boot with probing addresses

From: Sergey Senozhatsky <[email-masked]>
Date: Wed, 15 May 2019 15:21:11 +0900

On (05/14/19 21:13), Geert Uytterhoeven wrote:
> I would immediately understand there's a missing IS_ERR() check in a
> function that can return  -EINVAL, without having to add a new printk()
> to find out what kind of bogus value has been received, and without
> having to reboot, and trying to reproduce...

But chances are that missing IS_ERR() will crash the kernel sooner
or later (in general case), if not in sprintf() then somewhere else.

	-ss